Summary:	A set of default configuration for LXDE
Summary(de):	Ein Set an Standard-Konfigurationen für LXDE
Name:	  	lxde-common
Version:	0.99.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/LXDE
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.xz
Source1:	lxde-icon.png
Source5:	lxde_blue.jpg
Source6:	logout-banner.png
Source8:	lxde_blueWS.jpg
# PCLinuxOS Patchset---------------
Patch0:		pclos-custom-conf.patch
Patch1:		pclos-autostart.patch
#----------------------------------
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	glib2-devel
BuildRequires:  libx11_6-devel
Requires:	smproxy
Requires:	xscreensaver-gl
Requires:	openbox
Requires:	lxpanel
Requires:	pcmanfm
Requires:	lxde-icon-theme
Requires:	lxterminal
Obsoletes:	%{name} < %version

%description
This package provides a set of default configuration for LXDE.

%description -l de
Dieses Paket enthält eine Reihe von Standard-Konfigurationen für LXDE.


%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# keep the original pictures and icons maybe someone want's to use them
mv %{buildroot}/%{_datadir}/lxde/images/lxde-icon.png %{buildroot}/%{_datadir}/lxde/images/lxde-icon.orig.png
mv %{buildroot}/%{_datadir}/lxde/images/logout-banner.png %{buildroot}/%{_datadir}/lxde/images/logout-banner.orig.png
mv %{buildroot}/%{_datadir}/lxde/wallpapers/lxde_blue.jpg %{buildroot}/%{_datadir}/lxde/wallpapers/lxde_blue.orig.jpg
# now install custom images
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/lxde/images/lxde-icon.png
install -m 0644 %SOURCE6 $RPM_BUILD_ROOT%{_datadir}/lxde/images/logout-banner.png
install -m 0644 %SOURCE5 $RPM_BUILD_ROOT%{_datadir}/lxde/wallpapers/lxde_blue.jpg
install -m 0644 %SOURCE8 $RPM_BUILD_ROOT%{_datadir}/lxde/wallpapers/lxde_blueWS.jpg


#we dont use thise
rm -f %buildroot%{_datadir}/xsessions/LXDE.desktop

# instead, we use wmsession.d
install -d %buildroot%_sysconfdir/X11/wmsession.d/
cat > %buildroot%_sysconfdir/X11/wmsession.d/04LXDE << EOF
NAME=LXDE
DESC=Lightweight X11 Desktops Environment
EXEC=/usr/bin/startlxde
SCRIPT:
exec /usr/bin/startlxde
EOF

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chksession -k
%make_session
%make_dm_session

%postun
%make_session
%make_dm_session

%files -f %{name}.lang
%defattr(-, root, root)
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop
%{_sysconfdir}/xdg/lxpanel/LXDE/config
%{_sysconfdir}/xdg/lxpanel/LXDE/panels/panel
%{_sysconfdir}/xdg/openbox/LXDE/menu.xml
%{_sysconfdir}/xdg/openbox/LXDE/rc.xml
%{_sysconfdir}/xdg/lxsession/LXDE/autostart
%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf
%{_sysconfdir}/X11/wmsession.d/04LXDE
%{_bindir}/*
%{_datadir}/lxde
%{_mandir}/man1/*



%changelog
* Tue Feb 23 2016 daniel <meisssw01 at gmail.com> 0.99.1-1pclos2016
- update

* Mon Oct 27 2014 bb <bb> 0.99.9-2pclos2014
- refresh the default background to the blue block screens
- fix autostart file for panel

* Fri Oct 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.99.0-1pclos2014
- 0.99.0
- rediff patch for changes in pcmanfm.conf

* Wed Sep 24 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.6-1pclos2014
- 0.5.6
- drop custom startlxde script the one in source does the same
- merge custom conf files in a patch
- remove autostart patch from srpm it was not used
- set buildarch to noarch the package contains just shell script in /usr/bin

* Sat Dec 31 2011 Texstar <texstar at gmail.com> 0.5.5-5pclos2011
- remove polkit-gnome-authentication-agent-1.desktop not needed anymore

* Fri Aug 19 2011 Texstar <texstar at gmail.com> 0.5.5-4pclos2011
- fix sessions

* Thu Aug 18 2011 Texstar <texstar at gmail.com> 0.5.5-3pclos2011
- update from git 8-11-2011

* Sun Jul 31 2011 leiche <meisssw01 at aol.com> 0.5.5-2leiche2011
- fix theme for 2011 (get from Neal)

* Sat Jul 30 2011 leiche <meisssw01 at aol.com> 0.5.5-1leiche2011
- 0.5.5

* Mon Oct 18 2010 Texstar <texstar at gmail.com> 0.5.0-8pclos2010
- fix startlxde so pcmanfm wallpaper settings work

* Thu Oct 14 2010 Texstar <texstar at gmail.com> 0.5.0-7pclos2010
- exclude xsession file not used on pclinuxos

* Sun Jun 20 2010 Texstar <texstar at gmail.com> 0.5.0-6pclos2010
- add custom startlxde script
- add polkit service to autostart

* Sun Jun 20 2010 Texstar <texstar at gmail.com> 0.5.0-5pclos2010
- update graphics from Neal

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.5.0-4pclos2010
- add patch1 and patch2 and source7

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.5.0-3pclos2010
- adjust menu.xml for more pcmanfm options

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.5.0-2pclos2010
- add new logout banner to package

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.5.0-1pclos2010
- 0.5.0

* Sat Mar 13 2010 Texstar <texstar at gmail.com> 0.4.2-3pclos2010
- change to firefox default

* Sat Oct 03 2009 Neal <nealbrks0@gmail.com> 0.4.2-2pclos2010
- gcc update

* Tue Aug 04 2009 Anikan <mamifer0 at msn dot com> 0.4.2-1pclos2009
- new version

* Sat May 16 2009 johnnyblack <johnnyblack@inbox.com> 0.4.1-2pclos2009
- change default background

* Sat May 16 2009 johnnyblack <johnnyblack@inbox.com> 0.4.1-1pclos2009
- 0.4.1

* Thu May 06 2009 pcserver <pcserver@hushmail.com> 0.4-3pclos2009
- add custom wallpapers

* Mon May 04 2009 pcserver <pcserver@hushmail.com> 0.4-2pclos2009
- add customizations

* Sun May 03 2009 pcserver <pcserver@hushmail.com> 0.4-1pclos2009
- 0.4

